package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumEnableType {

    // 0:启用 1:停用

    Enable(0, "启用"),
    Disable(1, "停用")
    ;

    public static EnumEnableType getEnum(Integer code) {
        for (EnumEnableType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumEnableType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
